# $Id$
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-ddclient
%define version 1.0.0
%define release 2

Summary: ddclient panel for SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Obsoletes: sme7-ddclient
BuildArchitectures: noarch
Requires: SMEServer >= 7
Requires: ddclient >= 3.7
AutoReqProv: no

%changelog
* Wed Apr 23 2008 Stephen Noble <support@dungog.net> 1.0.0-2
- prepare for import to smecontribs
- links moved to createlinks
- en lexicon split from function
- fr and de lexicons removed, add back in pootle

* Sat Jan 20 2007 Paul Floor <paul@smeserver.us>
- ver 1.0 rel 1: split into smeserver-ddclient and ddclient
- removed heartbeat

* Sun Nov 12 2006 Filali-Ansary Vincent <filali.v@free.fr>
- ver 3.7 rel 1: change for the new ddclient client

* Sat Aug 19 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 8: change checkip.sjc.dyndns.org by checkip.dyndns.org

* Mon Aug 7 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 7: repair the custom eurodyndns options on ddclient.conf.

* Mon Jul 31 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 6: repair the custom dyndns options on ddclient.conf.

* Fri Jun 30 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 5: change checkip.dyndns.org by checkip.sjc.dyndns.org

* Tue May 09 2006 Filali-Ansary Vincent <filali.v@free.fr>
- initial release

%description
ddclient panel and config files for SME7.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -ldump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
